Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class Configuration

    java.lang.Object
      gov.nasa.worldwind.Configuration

    public class Configuration

extends Object

Method Summary
`static String` | `currentWorkingDirectory()`
`static Double` | `getDoubleValue(String key)`
`static Double` | `getDoubleValue(String key, Double defaultValue)`
`static Integer` | `getIntegerValue(String key)`
`static Integer` | `getIntegerValue(String key, Integer defaultValue)`
`static Long` | `getLongValue(String key)`
`static Long` | `getLongValue(String key, Long defaultValue)`
`static String` | `getStringValue(String key)`
`static String` | `getStringValue(String key, String defaultValue)`
`static String` | `getUserHomeDirectory()`
`static boolean` | `hasKey(String key)`
`static boolean` | `isLinuxOS()`
`static boolean` | `isMacOS()`
`static boolean` | `isSolarisOS()`
`static boolean` | `isUnixOS()`
`static boolean` | `isWindowsOS()`
`static void` | `removeKey(String key)`
`static void` | `setValue(String key, Object value)`
`static String` | `systemTempDirectory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### currentWorkingDirectory

    public static String currentWorkingDirectory()

### getDoubleValue

    public static Double getDoubleValue(String key)

### getDoubleValue

    public static Double getDoubleValue(String key,
                                        Double defaultValue)

### getIntegerValue

    public static Integer getIntegerValue(String key)

### getIntegerValue

    public static Integer getIntegerValue(String key,
                                          Integer defaultValue)

### getLongValue

    public static Long getLongValue(String key)

### getLongValue

    public static Long getLongValue(String key,
                                    Long defaultValue)

### getStringValue

    public static String getStringValue(String key)

### getStringValue

    public static String getStringValue(String key,
                                        String defaultValue)

### getUserHomeDirectory

    public static String getUserHomeDirectory()

### hasKey

    public static boolean hasKey(String key)

### isLinuxOS

    public static boolean isLinuxOS()

### isMacOS

    public static boolean isMacOS()

### isSolarisOS

    public static boolean isSolarisOS()

### isUnixOS

    public static boolean isUnixOS()

### isWindowsOS

    public static boolean isWindowsOS()

### removeKey

    public static void removeKey(String key)

### setValue

    public static void setValue(String key,
                                Object value)

### systemTempDirectory

    public static String systemTempDirectory()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD